#! /usr/bin/env sh

root="/sw/python/cpypy"

data="download-metadata.json"

path="${root}/${data}"
url="https://github.com\
/astral-sh/uv/raw/refs/heads/main/crates/uv-python/${data}"

rm --force --recursive "${root}"
mkdir --parents "${root}"
wget --continue --output-document "${path}" "${url}"

for url in $(jq -r ".. | objects | .url?" "${path}" |
	grep "\(cpython-3\.12\.6\|pypy3\.10\)"); do
	file="$(basename "${url}" | sed "s|%2B|+|g")"
	dir="$(dirname "${url}")"
	date="$(basename "${dir}")"
	path="${root}/${date}"
	mkdir --parents "${path}"
	wget --continue --output-document "${path}/${file}" "${url}"
done
